#!/usr/bin/perl
# Joshua Daniel Franklin 
# 2002 Jul 17 first attempt
# 2002 Oct 16 added super-robust checks

# The easy part
$libmfile="/oss/bld/i686-pc-cygwin/newlib/libm/libm.info";
if ( ! -f "$libmfile")
{
	die "New libm.info not found!\n(Did you run 'make info'?)\n"; 
}
system("cp $libmfile libm.info");

# newlib's libc.info* is in parts; put them all together in one
$libcfile="/oss/bld/i686-pc-cygwin/newlib/libc/libc.info";
if ( ! -f "$libcfile")
{
	die "New libc.info not found!\n(Did you run 'make info'?)\n"; 
}
@files = qw( 
	/oss/bld/i686-pc-cygwin/newlib/libc/libc.info-1 
	/oss/bld/i686-pc-cygwin/newlib/libc/libc.info-2 
	/oss/bld/i686-pc-cygwin/newlib/libc/libc.info-3 
	/oss/bld/i686-pc-cygwin/newlib/libc/libc.info-4 
	/oss/bld/i686-pc-cygwin/newlib/libc/libc.info-5 
	/oss/bld/i686-pc-cygwin/newlib/libc/libc.info-6 
	);

open (OUTF, ">libc.info") || die "Can't open output file\n";
open (INF, "$libcfile"); 
print OUTF while (<INF>); 
close (INF);

foreach (@files)
{
	close (INF);
	open (INF, "$_") || die "Can't open $_!\n";
	$_ = <INF> until (/\037/);
	print OUTF;
	print OUTF while (<INF>); 
}	
close (INF);
close (OUTF);
